VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "LinePlotStrategy"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa LinePlotStrategy
Implements PlotStrategy
Dim plts As PlotStrategy
Dim lplot As LinePlot

Private Sub Class_Initialize()
  'Użyj klasy bazowej dla wyskalowania wykresu
  Set plts = New PlotStrategy
End Sub

Private Sub PlotStrategy_findBounds(x() As Single, y() As Single)
  plts.findBounds x, y
End Sub
'-----
'Metody nie używane w klasach pochodnych
Private Function PlotStrategy_getXmax() As Single
End Function
Private Function PlotStrategy_getXmin() As Single
End Function
Private Function PlotStrategy_getYmax() As Single
End Function
Private Function PlotStrategy_getYmin() As Single
End Function
'-----
Private Sub PlotStrategy_plot(x() As Single, y() As Single)
  Set lplot = New LinePlot
  plts.findBounds x, y
  lplot.setBounds plts.getXmin, _
                  plts.getXmax, plts.getYmin, plts.getYmax
  lplot.Show
  lplot.plot x(), y()
End Sub
